AgentConnect
Organization knowledge

Archive or restore organization knowledge

Archives or restores an organization knowledge entry without deleting its revisions.

POST
/v1/orgs/{orgId}/knowledge/{id}/archive

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

orgId*string
id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/orgs/string/knowledge/string/archive" \  -H "Content-Type: application/json" \  -d '{    "archived": true  }'
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "title": "string",  "content": "string",  "summary": "string",  "tags": [    "string"  ],  "currentRevision": 1,  "digest": "string",  "source": "manual",  "sourceAgentId": "string",  "sourceDreamId": "string",  "sourceSessionIds": [    "string"  ],  "createdByUserId": "string",  "reviewedByUserId": "string",  "archivedAt": "string",  "createdAt": "string",  "updatedAt": "string",  "revisionCreatedAt": "string",  "canManage": true}